Bug 464075 - [Planner][RHEL5.2][[i386 x86_64] - Installation showing Depencency error of source file
[Planner][RHEL5.2][[i386 x86_64] - Installation showing Depencency error of s...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: planner (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 03:24 EDT by Satyabrata Maitra
Modified: 2013-04-12 15:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 01:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2008-09-26 03:24:17 EDT
Description of problem:
One problem faced, that is, planner-eds-0.14.1-4.el5 is not installing due
to the dependencies faliure to install with libeutil.so.0, showing the message
in gt - "error: Failed dependencies:
        libeutil.so.0 is needed by planner-eds-0.14.1-4.el5.i386" --

Version-Release number of selected component (if applicable):
planner-0.14.1-4.el5
planner-devel-0.14.1-4.el5
planner-debuginfo-0.14.1-4.el5
planner-eds-0.14.1-4.el5

For RHEL5.2-Server

How reproducible:
Tried it only once and reproduced!

Steps to Reproduce:
1. Install the above package at a time together with -ivh planner-*
2. Observe the result and error in g-t.
  
Actual results:
Its showing library source file error.

Expected results:
It should not show source file error, as its difficult to solve at the time of installation, may be not possible to resolve even!

Additional info:

This error found when i was testing the following errata and bugs :-

Errata :- http://errata.devel.redhat.com/errata/show/7873

Bugs :- https://bugzilla.redhat.com/show_bug.cgi?id=236812
        https://bugzilla.redhat.com/show_bug.cgi?id=438331
Comment 1 Caolan McNamara 2008-09-26 04:23:25 EDT
planner-eds is "planner evolution data service" (or something like that). 

On my RHEL-5 box, 

rpm -q --whatprovides libeutil.so.0

says "evolution", so is evolution installed ?, i.e. rpm -q evolution ?

If it is not, and installing evolution, and then installing planner-eds works then there is no bug, all is working correctly, i.e. "I cannot install because I need evolution installed".

If evolution *is* installed and planner refuses to install, then that's very interesting, if that is the case what is the output of 

rpm -ql evolution|grep eutil
Comment 5 Lawrence Lim 2008-09-29 21:54:26 EDT
llim->smaitra: could you please update this bug with your findings asap?
Comment 6 Satyabrata Maitra 2008-09-30 01:26:43 EDT
Tested this bug once again following the comment #1. This is working fine with the installation of evolution package!

Closing this bug as NOT A BUG!

Note You need to log in before you can comment on or make changes to this bug.